Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 628182 - <app-arch/unrar-5.5.8: multiple vulnerabilities (CVE-{2017-12940,2017-12941,2017-12942})
Summary: <app-arch/unrar-5.5.8: multiple vulnerabilities (CVE-{2017-12940,2017-12941,2...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa cve]
Keywords:
Depends on:
Blocks: CVE-2017-12940, CVE-2017-12941, CVE-2017-12942 622342
  Show dependency tree
 
Reported: 2017-08-18 14:44 UTC by GLSAMaker/CVETool Bot
Modified: 2017-12-17 20:12 UTC (History)
1 user (show)

See Also:
Package list:
app-arch/unrar-5.5.8
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2017-08-18 14:44:41 UTC
CVE-2017-12940 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-12940):
  libunrar.a in UnRAR before 5.5.7 has an out-of-bounds read in the
  EncodeFileName::Decode call within the Archive::ReadHeader15 function.

CVE-2017-12941 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-12941):
  libunrar.a in UnRAR before 5.5.7 has an out-of-bounds read in the
  Unpack::Unpack20 function.

CVE-2017-12942 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-12942):
  libunrar.a in UnRAR before 5.5.7 has a buffer overflow in the Unpack::LongLZ
  function.
Comment 1 Thomas Deutschmann gentoo-dev Security 2017-08-18 14:50:51 UTC
See tracker bug 628178 for more details.


@ Arches,

please test and mark stable: =app-arch/unrar-5.5.8
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-08-18 19:15:44 UTC
x86 stable
Comment 3 Sergei Trofimovich gentoo-dev 2017-08-18 20:46:41 UTC
ia64 stable
Comment 4 Sergei Trofimovich gentoo-dev 2017-08-18 21:45:24 UTC
ppc/ppc64 stable
Comment 5 Markus Meier gentoo-dev 2017-08-25 04:45:04 UTC
arm stable
Comment 6 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2017-08-25 21:12:22 UTC
amd64 stable
Comment 7 Matt Turner gentoo-dev 2017-08-31 01:26:48 UTC
alpha stable
Comment 8 Yury German Gentoo Infrastructure gentoo-dev Security 2017-09-03 22:15:39 UTC
Sparc no longer security supported, hppa please see bug #629554.
Sparc, hppa please finish security stabilization. 

New GLSA Request filed.

Maintainer(s), please drop the vulnerable version(s).
Comment 10 Sergei Trofimovich gentoo-dev 2017-09-24 20:20:31 UTC
hppa stable
Comment 11 Yury German Gentoo Infrastructure gentoo-dev Security 2017-09-24 23:37:43 UTC
Maintainer(s), please drop the vulnerable version(s).
Comment 12 Larry the Git Cow gentoo-dev 2017-09-25 17:40:52 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00f2e7b2f5cdd40bf9701c90a6e91bf48d97fa8a

commit 00f2e7b2f5cdd40bf9701c90a6e91bf48d97fa8a
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2017-09-25 17:39:12 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2017-09-25 17:39:12 +0000

    app-arch/unrar: Security cleanup
    
    Bug: https://bugs.gentoo.org/628182
    Package-Manager: Portage-2.3.10, Repoman-2.3.3

 app-arch/unrar/Manifest                            |  4 --
 app-arch/unrar/files/unrar-5.0.2-build.patch       | 45 ---------------
 .../unrar/files/unrar-5.2.2-no-auto-clean.patch    | 17 ------
 app-arch/unrar/unrar-5.4.5.ebuild                  | 62 ---------------------
 app-arch/unrar/unrar-5.5.5-r1.ebuild               | 65 ----------------------
 app-arch/unrar/unrar-5.5.6.ebuild                  | 65 ----------------------
 app-arch/unrar/unrar-5.5.7.ebuild                  | 65 ----------------------
 7 files changed, 323 deletions(-)}
Comment 13 GLSAMaker/CVETool Bot gentoo-dev 2017-09-25 21:50:26 UTC
This issue was resolved and addressed in
 GLSA 201709-24 at https://security.gentoo.org/glsa/201709-24
by GLSA coordinator Aaron Bauman (b-man).
Comment 14 Sergei Trofimovich gentoo-dev 2017-12-17 20:12:01 UTC
sparc stable (thanks to Rolf Eike Beer)